Bug 171784 - printing in mode 'horizontal' and 'multiple pages per sheet' results in incorrect page order
printing in mode 'horizontal' and 'multiple pages per sheet' results in inco...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
8
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-26 08:50 EDT by Radek Bíba
Modified: 2009-01-09 01:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:54:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A horizontally oriented document (184.42 KB, application/octet-stream)
2005-10-26 08:59 EDT, Radek Bíba
no flags Details

  None (edit)
Description Radek Bíba 2005-10-26 08:50:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
When I try to print a horizontally oriented document and put more (e.g. 4) pages
on one sheet, pages on the printed sheet don't flow in an expected order.

E.g. four pages on one sheet are printed in such a way that the first page is in
the upper-right quadrant, second one is in lower-right, third one in upper-left
and the fourth page is in the lower-left quadrant. 

Version-Release number of selected component (if applicable):
kdebase-3.4.2-0.fc3.3

How reproducible:
Always

Steps to Reproduce:
1. take a horizontally oriented document and open it in a KDE viewer. I'm gonna
attach an example PDF document which you can open e.g. in kpdf)
2. open the print dialog, click on Properties and select 4 pages per sheet
3. you can as well select Print to File (PDF) so you don't have to waste the
paper
4. click on Print and either see the printed result or open the document that
was created using Print to File

Actual Results:  +---+---+
| 3 | 1 |
+---+---+
| 4 | 2 |
+---+---+

Expected Results:  +---+---+
| 1 | 2 |
+---+---+
| 3 | 4 |
+---+---+

-which is common when one prints four vertical pages on one sheet . As a matter
of fact, the actual results are expected results rotated by 90 degrees.

Additional info:

I'm not entirely sure if it's a bug in the KDE printing system but I'm not aware
of a system that is capable of the features mentioned here so I couldn't try it
somewhere else.

kdebase in FC4 has the same issue.
Comment 1 Radek Bíba 2005-10-26 08:59:26 EDT
Created attachment 120411 [details]
A horizontally oriented document

This file contains four pages and a number on each one. If you open this
document
in a KDE viewer (e.g. kpdf) and print it using '4 pages on one sheet' you'll
see
the bug.
Comment 2 Ngo Than 2005-10-27 05:17:13 EDT
it seems the same bug http://bugs.kde.org/show_bug.cgi?id=97669
Comment 3 Radek Bíba 2005-10-27 05:47:58 EDT
Partially; that bug concerns printing in reverse order but the problem here is
described in its comment 10. It actually should be a separate bug.
Comment 4 Matthew Miller 2006-07-10 16:46:20 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 Radek Bíba 2006-07-11 04:06:34 EDT
This bug is still present in kdebase-3.5.3-0.4.fc5.
Comment 6 Radek Bíba 2007-11-12 11:32:12 EST
This bug is still present in kdebase-3.5.8-5.fc8.
Comment 7 Bug Zapper 2008-11-26 01:53:16 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-01-09 01:54:42 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.